Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.red5.server.net.rtmp
Class RTMPConnManager

    java.lang.Object
      org.red5.server.net.rtmp.RTMPConnManager

All Implemented Interfaces:
  IRTMPConnManager, ApplicationContextAware

    public class RTMPConnManager

extends Object
implements IRTMPConnManager, ApplicationContextAware

Constructor Summary
`RTMPConnManager()`

Method Summary
`RTMPConnection` | `createConnection(Class<?> connCls)`
`RTMPConnection` | `createConnectionInstance(Class<?> cls)`
`RTMPConnection` | `getConnection(int clientId)`
`RTMPConnection` | `removeConnection(int clientId)`
`Collection<RTMPConnection>` | `removeConnections()`
`void` | `setApplicationContext(ApplicationContext appCtx)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RTMPConnManager

    public RTMPConnManager()

Method Detail

### createConnection

    public RTMPConnection createConnection(Class<?> connCls)

  Specified by:
    `createConnection` in interface `IRTMPConnManager`

### getConnection

    public RTMPConnection getConnection(int clientId)

  Specified by:
    `getConnection` in interface `IRTMPConnManager`

### removeConnection

    public RTMPConnection removeConnection(int clientId)

  Specified by:
    `removeConnection` in interface `IRTMPConnManager`

### removeConnections

    public Collection<RTMPConnection> removeConnections()

  Specified by:
    `removeConnections` in interface `IRTMPConnManager`

### setApplicationContext

    public void setApplicationContext(ApplicationContext appCtx)
                               throws BeansException

  Specified by:
    `setApplicationContext` in interface `ApplicationContextAware`
  Throws:
    `BeansException`

### createConnectionInstance

    public RTMPConnection createConnectionInstance(Class<?> cls)
                                            throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 The Red5 Project